AntiFeatures:
  - NonFreeNet
Categories:
  - Money
License: MIT
AuthorName: AgoraDesk
AuthorEmail: support@agoradesk.freshdesk.com
WebSite: https://agoradesk.com
SourceCode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss
IssueTracker: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues

AutoName: AgoraDesk

RepoType: git
Repo: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss

Builds:
  - versionName: 1.0.37
    versionCode: 611
    commit: 7a01b9b18b58be6e0cc11770187164acc4c60a52
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.37
    versionCode: 612
    commit: 7a01b9b18b58be6e0cc11770187164acc4c60a52
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.37
    versionCode: 613
    commit: 7a01b9b18b58be6e0cc11770187164acc4c60a52
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.39
    versionCode: 631
    disable: failed
    commit: 0a47abf9f40e84440cba79f55337eae5054ba8fb
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.39
    versionCode: 632
    disable: failed
    commit: 0a47abf9f40e84440cba79f55337eae5054ba8fb
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.39
    versionCode: 633
    disable: failed
    commit: 0a47abf9f40e84440cba79f55337eae5054ba8fb
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.40
    versionCode: 641
    commit: 95462a10ed663a1b49391c411d50246fa9d7c9a2
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.40
    versionCode: 642
    commit: 95462a10ed663a1b49391c411d50246fa9d7c9a2
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.40
    versionCode: 643
    commit: 95462a10ed663a1b49391c411d50246fa9d7c9a2
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.41
    versionCode: 651
    commit: 82cb3f23ec7cc1e7c887532bb3725fd6de521c96
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.41
    versionCode: 652
    commit: 82cb3f23ec7cc1e7c887532bb3725fd6de521c96
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.41
    versionCode: 653
    commit: 82cb3f23ec7cc1e7c887532bb3725fd6de521c96
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.43
    versionCode: 671
    commit: c56803f860bf7da0b732c8e81b40b01c15d4328e
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.43
    versionCode: 672
    commit: c56803f860bf7da0b732c8e81b40b01c15d4328e
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.43
    versionCode: 673
    commit: c56803f860bf7da0b732c8e81b40b01c15d4328e
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.46
    versionCode: 691
    commit: 4ba0800b484df1e4fbd4345987932b11fa07f71f
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.46
    versionCode: 692
    commit: 4ba0800b484df1e4fbd4345987932b11fa07f71f
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.46
    versionCode: 693
    commit: 4ba0800b484df1e4fbd4345987932b11fa07f71f
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.48
    versionCode: 711
    commit: 71e9936081ea041f0e29aa9f3500f2d740a68eb6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.48
    versionCode: 712
    commit: 71e9936081ea041f0e29aa9f3500f2d740a68eb6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.48
    versionCode: 713
    commit: 71e9936081ea041f0e29aa9f3500f2d740a68eb6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.49
    versionCode: 721
    commit: 9087d4b65daa38a3075f7cfcc85af393d43fa088
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.49
    versionCode: 722
    commit: 9087d4b65daa38a3075f7cfcc85af393d43fa088
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.49
    versionCode: 723
    commit: 9087d4b65daa38a3075f7cfcc85af393d43fa088
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.50
    versionCode: 731
    commit: e4cac23d1c56f065f1346219977d78ce8b71f6f6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.50
    versionCode: 732
    commit: e4cac23d1c56f065f1346219977d78ce8b71f6f6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.50
    versionCode: 733
    commit: e4cac23d1c56f065f1346219977d78ce8b71f6f6
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.51
    versionCode: 741
    commit: 1b795e8fd301c818b78590a72c398e516b0f226a
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.51
    versionCode: 742
    commit: 1b795e8fd301c818b78590a72c398e516b0f226a
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.51
    versionCode: 743
    commit: 1b795e8fd301c818b78590a72c398e516b0f226a
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.61
    versionCode: 841
    commit: ca7b87c22f655622f22e18fb448cdd58f6e86a40
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.61
    versionCode: 842
    commit: ca7b87c22f655622f22e18fb448cdd58f6e86a40
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.61
    versionCode: 843
    commit: ca7b87c22f655622f22e18fb448cdd58f6e86a40
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

  - versionName: 1.0.63
    versionCode: 861
    commit: 9a8dc1b1ea78ee833fe75b29d5b1460a50ee1644
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-x64"

  - versionName: 1.0.63
    versionCode: 862
    commit: 9a8dc1b1ea78ee833fe75b29d5b1460a50ee1644
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm"

  - versionName: 1.0.63
    versionCode: 863
    commit: 9a8dc1b1ea78ee833fe75b29d5b1460a50ee1644
    submodules: true
    output: build/app/outputs/flutter-apk/app-*-agoradesk-release.apk
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter packages pub run build_runner build --delete-conflicting-outputs
      - submodules/flutter/bin/flutter build apk --flavor agoradesk --dart-define=app.flavor=agoradesk
        --dart-define=app.includeFcm=false --split-per-abi --target-platform="android-arm64"

AutoUpdateMode: Version
UpdateCheckMode: Tags v[\d.]+-fdroid$
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.63
CurrentVersionCode: 863
